Subject: Re: bug#61205: 'function' in 3rd element of treesit-font-lock-feature-list

From: Eli Zaretskii <[email-masked]>
Date: Fri, 03 Feb 2023 17:54:34 +0200

> Date: Fri, 3 Feb 2023 17:15:05 +0200
> Cc: [email-masked], [email-masked], [email-masked], [email-masked]
> From: Dmitry Gutov <[email-masked]>
> 
> > Then as far as I'm concerned, this can go to level 4, but it must be
> > done consistently across all the *-ts modes.  So if some mode wants
> > 'property' to be highlighted, and wants it badly, we should IMO keep
> > it in C as well.
> 
> Consistency is what I'm after here.
> 
> c-ts-mode, as well as go-ts-mode, rust-ts-mode and typescript-ts-mode, 
> all previously mentioned in this report, currently put it at 3.
> 
> The rest put it as 4, or don't use it at all.

The question is: how important is this for go-ts-mode, rust-ts-mode,
and typescript-ts-mode?  I don't know the answer.  If the importance
is not high, then this should be moved to level 4.